<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.336
Name: Uitslag pathologie
Description: Template: Uitslag pathologie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000">
   <title>Uitslag pathologie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]
Item: (Uitslagpathologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]"
         id="tmp-r-bae966b1-a390-4c6b-a29c-9341186a0208">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="string(@classCode)='OBS'">(Uitslagpathologie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="string(@moodCode)='EVN'">(Uitslagpathologie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336'])&gt;=1 ">(Uitslagpathologie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336'])&lt;=1">(Uitslagpathologie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Uitslagpathologie): element hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Uitslagpathologie): element hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(Uitslagpathologie): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Uitslagpathologie): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.338']]])&lt;=1">(Uitslagpathologie): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.338']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:templateId
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:templateId"
         id="tmp-r-fbc926a8-ea2d-4f52-873a-ceb20209fe7d">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Uitslagpathologie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.336'">(Uitslagpathologie): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.336' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:code[(@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ea5e7b05-277f-47a2-aa04-2beb5732c416">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Uitslagpathologie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="@nullFlavor or (@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')">(Uitslagpathologie): de elementwaarde MOET zijn code '22637-3' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-26fc84a7-b249-49fc-b25d-bd12bc939e11">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Uitslagpathologie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Uitslagpathologie): de elementwaarde MOET zijn vs_conclusie_pa Conclusie PA (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Uitslagpathologie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst vs_conclusie_pa Conclusie PA (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(Uitslagpathologie): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier"
         id="tmp-r-eb638f0a-7a26-4b87-8d95-5294d303d751">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Uitslagpathologie): element hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Uitslagpathologie): element hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(Uitslagpathologie): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Uitslagpathologie): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier/hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier/hl7:name[(@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-5a1923c8-b7a9-4061-98c1-4abe69e99e1e">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Uitslagpathologie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="@nullFlavor or (@code='246159003' and @codeSystem='2.16.840.1.113883.6.96')">(Uitslagpathologie): de elementwaarde MOET zijn code '246159003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (Uitslagpathologie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.214-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-a2abd49b-5cf8-40d2-a8dd-5541dd0c0e7a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Uitslagpathologie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Uitslagpathologie): de elementwaarde MOET zijn vs_extensiveness Extensiveness (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.215-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Uitslagpathologie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst vs_extensiveness Extensiveness (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.336
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.338']]]
Item: (Uitslagpathologie)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.336']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.338']]]"
         id="tmp-r-b26e64e9-4a38-4d9f-a2ea-67d39832f020">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.html"
              test="string(@typeCode)='SPRT'">(Uitslagpathologie): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>
</pattern>
