<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.316
Name: Verdere behandeling noodzakelijk
Description: Template: Verderebehandelingnoodzakelijk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000">
   <title>Verdere behandeling noodzakelijk</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.316
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]
Item: (Verderebehandelingnoodzakelijk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]"
         id="tmp-r-531ff234-14f2-4f1e-ba98-78529a929536">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/@nullFlavor)">(Verderebehandelingnoodzakelijk): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']])&lt;=1">(Verderebehandelingnoodzakelijk): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.316
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]
Item: (Verderebehandelingnoodzakelijk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]"
         id="tmp-r-e597fbca-15e4-47a1-ac95-52af16267ad6">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Verderebehandelingnoodzakelijk): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Verderebehandelingnoodzakelijk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316'])&gt;=1 ">(Verderebehandelingnoodzakelijk): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316'])&lt;=1">(Verderebehandelingnoodzakelijk): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')])&gt;=1 and not(hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')]/@nullFlavor)">(Verderebehandelingnoodzakelijk): element hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')])&lt;=1">(Verderebehandelingnoodzakelijk): element hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:value)&gt;=1 ">(Verderebehandelingnoodzakelijk): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="count(hl7:value)&lt;=1">(Verderebehandelingnoodzakelijk): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.316
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:templateId
Item: (Verderebehandelingnoodzakelijk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:templateId"
         id="tmp-r-acd9b2bc-58eb-48cd-9999-02d3b1218873">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verderebehandelingnoodzakelijk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.316'">(Verderebehandelingnoodzakelijk): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.316' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.316
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')]
Item: (Verderebehandelingnoodzakelijk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:code[(@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')]"
         id="tmp-r-68a11e41-566d-441e-a775-11202374fee1">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verderebehandelingnoodzakelijk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="@nullFlavor or (@code='VBN' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.100')">(Verderebehandelingnoodzakelijk): de elementwaarde MOET zijn code 'VBN' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.100'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.316
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:value
Item: (Verderebehandelingnoodzakelijk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.316']]/hl7:value"
         id="tmp-r-13dfc807-c2d3-482e-9110-abef52cb09ab">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140326T180332/tmp-2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verderebehandelingnoodzakelijk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
